{% extends "crud.html" %}


{% block top_records_navigation %}
    <div class="col"></div>
{% endblock %}


{% block add_form %}
    <div class="row">
        <div class="col-12 col-md-6">
            <div class="form-group">
                <label>{{ "value"|normalize|title }}*</label>
                <input type="text" name="value" class="form-control" required maxlength="255" />
            </div>
        </div>
    </div>
{% endblock %}


{% block read_columns %}
{# <script> #}
    {
        data: 'value',
        render: function(data) {
            return '<a href="#" data-crud-toggle="details" class="font-weight-bold" aria-expanded="true"> {0}</a>'.format(data);
        }
    },
    {
        data: '_id',
        sortable: false,
        className: 'text-center',
        render: function(data) {
            {% if session.user.access_levels.permissions.get(request.mod, {}).get('delete', False) %}
            return '<a href="#" class="btn btn-danger btn-sm btn-block" data-crud="delete" data-delete-target="{0}"><i class="fa fa-trash fa-fw"></i> Delete</a>'.format(data);
            {% else %}
            return '';
            {% endif %}
        }
    }
{# </script> #}
{% endblock %}
